Loading...
Searching...
No Matches
PlayerBase.h File Reference

Header file for PlayerBase class. More...

`#include <iostream>`
`#include "ReaderBase.h"`

Go to the source code of this file.

## Classes

class | openshot::PlayerBase
| This is the base class of all Players in libopenshot. More...

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Enumerations

enum | openshot::PlaybackMode { openshot::PLAYBACK_PLAY , openshot::PLAYBACK_PAUSED , openshot::PLAYBACK_LOADING , openshot::PLAYBACK_STOPPED }
| This enumeration determines the mode of the video player (i.e. playing, paused, etc...). More...

## Detailed Description

Header file for PlayerBase class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file PlayerBase.h.